
// 2008 Lexus IS-F
// This is the high-detail vehicle parameter file.
// It is pointed to by one or more *.veh files.
//
// Any range has the following values: (minimum, step size, number of steps)
// Any setting refers to the step from 0 to <number of steps - 1>.
//
// Everything is in SI units (kg, m, kPa, N, etc.), except:
// Engine speed is measured in RPM.
// Angles are measured in degrees.
//
// +x = left
// +y = up
// +z = rear
//
// Pushrod connections are adjusted from the values found in this file
// based on the graphical location of the wheels.  If the graphical location
// does not match the physical location (found in a .pm file), then all
// suspension joints (including the pushrods) are adjusted to match the
// graphical locations.  It should be noted that suspension joints are also
// adjusted after setting the camber, caster, and toe-in.
//
// The "reference plane" is equal to the ride height.  Note that we have
// added a graphical offset because some stock car series measures the ride heights
// to the frame of the car, but the bodywork hangs about an inch lower (especially
// at the air dam).  The graphical offset does not affect the physics in any
// way, just the appearance of how far the vehicle is off the ground.  Note
// that the "undertray" points are where the vehicle bottoms out.
//
// Aerodynamic variables:
// Lift is negative downforce
//

[GENERAL]
Rules=0                         // what rules to apply to garage setups (0=none, 1=stock car)
GarageDisplayFlags=34           // how settings are displayed in garage (add): 1=rear downforce value (vs. angle), 2=radiator (vs. grille tape), 4=more gear info, 8+16=front downforce/wing/splitter/air dam, 32+64=rear downforce/wing/spoiler
Mass=1789.0                     // all mass except fuel (1714.0+75.0kg driver)
Inertia=(2193.0, 2500.0, 540.0) // all inertia except fuel
FuelTankPos=(0.00, 0.18, 0.20)  // location of tank relative to center of rear axle in reference plane
FuelTankMotion=(350.0, 0.50)    // simple model of fuel movement in tank (spring rate per kg, critical damping ratio)
Notes=""
Symmetric=1
DamageFile=Lexus_IS-F_Damage    // .ini file to find physical and graphical damage info
CGHeight=0.3575                 // height of body mass (excluding fuel) above reference plane
CGRightRange=(0.494, 0.005, 1)  // Left side driver  // fraction of weight on left tires
CGRightSetting=0
CGRearRange=(0.460, 0.005, 1)   // fraction of weight on rear tires
CGRearSetting=0
WedgeRange=(0.0, 0.25, 1)       // rounds of wedge
WedgeSetting=0
WedgePushrod=0.0   // each round of wedge changes rear-left jacking screw by this amount (0.0 to disable, use Rules to allow FR ride height)
GraphicalOffset=(0.0, 0.00, 0.0) // does not affect physics!  This just moves the vehicle body for whatever reasons you may have.
Undertray00=( 0.800,  0.00,  -1.90) // corner offset from center of wheels in reference plane
Undertray01=(-0.800,  0.00,  -1.90) // corner offset from center of wheels in reference plane
Undertray02=( 0.770,  0.005,  1.74) // corner offset from center of wheels in reference plane
Undertray03=(-0.770,  0.005,  1.74) // corner offset from center of wheels in reference plane
Undertray04=( 0.850,  0.00,  -0.98)
Undertray05=(-0.850,  0.00,  -0.98)
Undertray06=( 0.850,  0.00,   1.00)
Undertray07=(-0.850,  0.00,   1.00)
Undertray08=( 0.780,  0.05,   2.00)
Undertray09=( 0.000,  0.00,  -2.00)
Undertray10=(-0.780,  0.05,   2.00)
UndertrayParams=(300000.0,14000.0,2.0) // spring/damper/friction
TireBrand=Lexus_IS-F_Tires      // must appear before tire compound setting (references *.tbc file)
FrontTireCompoundSetting=0      // compound index within brand
RearTireCompoundSetting=0       // compound index within brand
FuelRange=(1.0, 1.0, 64)
FuelSetting=63
NumPitstopsRange=(0, 1, 4)
NumPitstopsSetting=3
Pitstop1Range=(1.0, 1.0, 64)
Pitstop1Setting=59
Pitstop2Range=(1.0, 1.0, 64)
Pitstop2Setting=49
Pitstop3Range=(1.0, 1.0, 64)
Pitstop3Setting=39
AIAimSpeedsPerWP=(25.0, 35.0, 45.0, 55.0, 70.0, 90.0, 110.0, 140.0) // speeds at which to look ahead X waypoints (spaced roughly 5 meters apart)
AICornerReductionBase=70.0	// (pointspeed/this number)= % deceleration we can expect through a point
AIMinPassesPerTick=3            // minimum passes per tick (can use more accurate spring/damper/torque values, but takes more CPU)
AIRotationThreshold=0.20        // rotation threshold (rads/sec) to temporarily increment passes per tick
AIEvenSuspension=0.0            // averages out spring and damper rates to improve stability (0.0 - 1.0)
AISpringRate=1.0                // spring rate adjustment for AI physics
AIDamperSlow=0.5                // contribution of average slow damper into simple AI damper
AIDamperFast=0.5                // contribution of average fast damper into simple AI damper
AIDownforceZArm=0.150           // hard-coded center-of-pressure offset from vehicle CG
AIDownforceBias=0.0             // bias between setup and hard-coded value (0.0-1.0)
AITorqueStab=(1.0, 1.0, 1.0)    // torque adjustment to keep AI stable
AIFuelMult=-1.0                 // PLR file override for AI fuel usage - only positive value will override, see PLR for default
AIPerfUsage=(-1.0, -1.0, -1.0)  // PLR file overrides for (brake power usage, brake grip usage, corner grip usage) used by AI to estimate performance - only positive values will override, see PLR for defaults
AITableParams=(-1.0, -1.0)      // PLR file overrides for (max load, min radius) used when computing performance estimate tables - only positive values will override, see PLR for defaults
FeelerFlags=0                   // how collision feelers are generated (add): 1=box influence 2=reduce wall-jumping 4=allow adjustment hack 8=top directions
FeelerOffset=(0.0, 0.0, 0.0)    // offset from cg to use when generating feelers
FeelersAtCGHeight=0             // whether corner and side feelers are automatically adjusted to CG height
FeelerFrontLeft=(0.874,0.320,-2.053)
FeelerFrontRight=(-0.876,0.320,-2.053)
FeelerRearLeft=(0.888,0.370,2.167)
FeelerRearRight=(-0.890,0.370,2.167)
FeelerFront=(0.000,0.280,-2.339)
FeelerRear=(0.000,0.380,2.314)
FeelerRight=(-0.902,0.338,-0.210)
FeelerLeft=(0.902,0.338,-0.210)
FeelerTopFrontLeft=(-0.539,1.217,-0.300)
FeelerTopFrontRight=(0.539,1.217,-0.300)
FeelerTopRearLeft=(-0.174,0.917,2.188)
FeelerTopRearRight=(0.174,0.917,2.188)
FeelerBottom=(0.000,0.100,-0.210)

[PITMENU]
StopGo=1                                // whether stop/go pit menu item is available (highly recommended); default=1
Fuel=1                                  // whether fuel pit menu item is available (recommended); default=1
AllTires=0                              // option for changing all tires (all other tire choices should be 0); default=0
FrontRearTires=(0,0)                    // option for changing front tires, rear tires (all other conflicting tire choices should be 0); default=(0,0)
LeftRightTires=(0,0)                    // option for changing left tires, right tires (all other conflicting tire choices should be 0); default=(0,0)
IndividualTires=(1,1,1,1)               // option for changing individual tire FL, FR, RL, RR (all other conflicting tire choices should be 0); default=(0,0,0,0)
FenderFlare=(0,0)                       // options for changing left fender flare, right fender flare; default=(0,0)
FrontWing=0                             // front wing adjustment (front wing repair is covered under Damage); default=1
RearWing=0                              // rear wing adjustment (rear wing repair is covered under Damage); default=0
Driver=1                                // driver change; default=1
Wedge=0                                 // wedge adjustment; default=0
Radiator=0                              // radiator or grille tape adjustment; default=0
TrackBar=0                              // track bar adjustment; default=0
Pressure=(1,1,1,1)                      // tire pressure adjustment FL, FR, RL, RR; default=(0,0,0,0)
SpringRubber=(0,0,0,0)                  // spring rubber adjustment FL, FR, RL, RR; default=(0,0,0,0)
Damage=2                                // number of options to fix damage (0=none, 1=bodywork, 2=bodywork+suspension); default=1
StopGoSimultaneous=0                    // whether stop/go penalties can be served during a regular pit stop (time is added at end); default=0
PressureOnTheFly=1                      // whether tire pressures can be adjusted WITHOUT changing tires; default=0
DamagedTiresOnly=0                      // tire change restrictions: 0=any tire can be changed 1=only damaged tires can be changed; default=0
CompoundRestrictions=0                  // whether tire compounds have restrictions: 0=unrestricted 1=one dry compound from qualifying on, 2=front/rear compounds must match, 3=both; default=0
Preparation=(150.0,25.0,0.5,4.5)        // when crew gives up after request, crew prep time, delay multiplier for how much more time was needed to prep, max delay; default=(150.0,25.0,0.5,4.5)
FuelTime=(4.0,2.0,1.0,0.5,1.0)          // fuel fill rate (L/s), random delay, nozzle insertion time, nozzle removal time, concurrent fuel filling (0.0=separate, 1.0=concurrent); default=(12.0,2.0,1.0,0.5,1.0)
TireTime=(18.0,38.0,9.0,1.0)            // time to change two tires, time to change four tires, random delay on any tire, concurrent tire changes (0.0=separate, 1.0=concurrent); default=(5.5,5.5,2.0,1.0)
FenderFlareTime=4.5                     // time to adjust fender flare; default=3.5
FrontWingTime=(15.0,45.0)               // time to adjust front wing, time to replace front wing; default=(8.0,8.0)
RearWingTime=(12.0,50.0)                // time to adjust rear wing, time to replace rear wing; default=(8.0,33.0)
DriverTime=(20.0,3.5,4.5,1.0)           // time to change driver, random delay, extra delay if vehicle is damaged, concurrent driver changes (0.0=separate, 1.0=concurrent); default=(11.0,1.5,4.0,1.0)
WedgeTime=3.5                           // time to adjust wedge; default=3.5
RadiatorTime=8.0                        // time to adjust radiator/grille tape; default=5.0
TrackBarTime=3.5                        // time to adjust track bar; default=3.5
PressureTime=6.0                        // time to adjust tire pressure WITHOUT changing tire; default=2.5
SpringRubberTime=3.0                    // time to adjust spring rubber; default=3.0
DamageTime=(12.0,8.0,240.0,1.0)         // time to fix aero damage, random delay, fix suspension including broken off wheels, concurrent damage fixing (0.0=separate, 1.0=concurrent); default=(8.5,1.0,90.0,1.0)

[AIDPENALTIES] 
TC=(0.000,0.000,0.000)                  // Weight penalties for using different
ABS=(0.000,0.000,0.000)                 // levels of aids.  First value is typically
Stability=(0.000,0.000,0.000)           // with the aid off so it should be 0.0.
Autoshift=(0.00,0.00,0.00,0.00)         // Penalties should only be applied to
Steering=(0.000,0.005,0.008,0.020)      // aids that the vehicle would not be
Braking=(0.00,0.00,0.00)                // allowed to run with.  Penalties should
Invulnerable=(0.00,0.00)                // typically only be used if the aid improves
Opposite=(0.00,0.00)                    // laptimes for a decent driver.
SpinRecovery=(0.00,0.00)                // Values are fractions of the total vehicle
AutoPit=(0.00,0.00)                     // mass, and are modeled as extra weight in
AutoLift=(0.00,0.00)                    // the fuel tank.  Do not use negative values.
AutoBlip=(0.00,0.00)

[FRONTWING]
FWRange=(0, 1, 1)              // front wing range
FWSetting=0                    // front wing setting
FWMaxHeight=(0.42)             // maximum height to take account of for downforce
FWDragParams=(-0.002, 0.01, 0) //(-.001) // base drag and 1st and 2nd order with setting
FWLiftParams=(-0.065,-0.02, 0) // base lift and 1st and 2nd order with setting
FWDraftLiftMult=1.06           // Effect of draft on front wing's lift response (larger numbers will tend to decrease downforce when in the draft)
FWLiftHeight=(0.030)           // effect of current height on lift coefficient
FWLiftSideways=(0.34)          // dropoff in downforce with yaw (0.0 = none, 1.0 = max)
FWLiftPeakYaw=(0.0, 1.0)       // angle of peak, multiplier at peak
FWLeft=(-0.055, 0.0, 0.0)      // aero forces from moving left
FWRight=(0.055, 0.0, 0.0)      // aero forces from moving right
FWUp=(   0.0,-0.07, 0.01)      // aero forces from moving up
FWDown=( 0.0, 0.06,-0.01)      // aero forces from moving down
FWAft=(  0.0, 0.03,-0.03)      // aero forces from moving rearwards
FWFore=( 0.0, 0.0, 0.0)        // aero forces from moving forwards (recomputed from settings)
FWRot=(0.050, 0.025, 0.070)    // aero torque from rotating
FWCenter=(0.00, 0.03,-0.58)    // center of front wing forces (offset from center of front axle in ref plane)

[REARWING]
RWRange=(0, 1, 1)              // rear wing range
RWSetting=0                    // rear wing setting
RWDragParams=( 0.005, 0.01, 0) //(.004)// base drag and 1st and 2nd order with setting
RWLiftParams=(-0.050,-0.02, 0) // base lift and 1st and 2nd order with setting
RWDraftLiftMult=1.02           // effect of draft on rear wing's lift response
RWLiftSideways=(0.33)          // dropoff in downforce with yaw (0.0 = none, 1.0 = max)
RWLiftPeakYaw=(3.5, 1.050)     // angle of peak, multiplier at peak
RWLeft=(-0.035, 0.0, 0.0)      // aero forces from moving left
RWRight=(0.035, 0.0, 0.0)      // aero forces from moving right
RWUp=(  0.0,-0.030, 0.01)      // aero forces from moving up
RWDown=(0.0, 0.012,-0.003)     // aero forces from moving down
RWAft=( 0.0, 0.020,-0.020)     // aero forces from moving rearwards
RWFore=(0.0, 0.0,  0.0)        // aero forces from moving forwards (recomputed from settings)
RWRot=(0.024, 0.013, 0.032)    // aero torque from rotating
RWCenter=(0.00, 0.70, 0.65)    // center of rear wing forces (offset from center of rear axle at ref plane)

[BODYAERO]
BodyDragBase=(0.3250)           //.325// base drag
BodyDragHeightAvg=(0.198)       //.190// drag increase with average ride height
BodyDragHeightDiff=(0.414)      //.350// drag increase with front/rear ride height difference
BodyMaxHeight=(0.23)            // maximum ride height that affects drag/lift
DraftBalanceMult=1.00           // effect of draft on aerodynamic downforce balance of car (bigger numbers exaggerate the effect)
BodyDraftLiftMult=1.01          // effect of draft on body's lift response
BodyLeft=(-0.85, 0.30, 0.00)    //-1.00, 0.31// aero forces from moving left
BodyRight=(0.85, 0.30, 0.00)    // 1.00, 0.31// aero forces from moving right
BodyUp=(   0.00,-2.00, 0.00)    // 0.00,-2.65, 0.00 // aero forces from moving up
BodyDown=( 0.00, 2.00, 0.00)    // 0.00, 2.50, 0.00 // aero forces from moving down
BodyAft=(  0.00, 0.50,-0.750)   // aero forces from moving rearwards
BodyFore=( 0.00, 0.15, 0.400)   // 0.00, 0.17, 0.400 //aero forces from moving forwards (lift value important, but drag overwritten)
BodyRot=(  6.00, 3.75, 2.75)    // 6.60, 4.15, 3.00 // aero torque from rotating
BodyCenter=(0.0, 0.550,-1.320)  // center of body aero forces (offset from center of rear axle at ref plane)
RadiatorRange=(100.0, -5.0, 1)  // radiator range (front grille tape)
RadiatorSetting=0               // radiator setting
RadiatorDrag=(0.0008)           // 0.00046 // effect of radiator setting on drag
RadiatorLift=(0.0006)           // 0.00040 // effect of radiator setting on lift
BrakeDuctRange=(1.0, 1.0, 1)    // brake duct range
BrakeDuctSetting=0              // brake duct setting
BrakeDuctDrag=(0.005)           // effect of brake duct setting on drag
BrakeDuctLift=(0.008)           // effect of brake duct setting on lift
BaseDropoff=0.175               // RFM Drafting override: Higher number -> more drafting effect (default=0.185)
LeadingExponent=2.00            // RFM Drafting override: Higher number -> lower effect on leader (default=2.0)
FollowingExponent=1.95          // RFM Drafting override: Higher number -> lower effect on followers (default=2.0)
VehicleWidth=1.88               // RFM Drafting override: Helps determine base width of wake (default=1.9)
SideEffect=0.35                 // RFM Drafting override: Negative effects of side-by-side drafting (default=0.35, used to be ~3.0 which was way too strong!)
SideLeadingExponent=2.0         // RFM Drafting override: Added to regular LeadingExponent to affect the side wake
SideFollowingExponent=3.5       // RFM Drafting override: Added to regular FollowingExponent to affect the side wake

[DIFFUSER]
DiffuserBase=(-0.030,-0.18, 1.00)  // base lift and 1st/2nd order with rear ride height
DiffuserFrontHeight=(0.125)        // 1st order with front ride height
DiffuserRake=( 0.010, -1.0, 3.9)   // optimum rake (rear - front ride height), 1st order with current difference from opt, 2nd order
DiffuserLimits=(0.010, 0.18, 0.08) // min ride height before stalling begins (0.0=disabled), max rear ride height for computations, max rake difference for computations
DiffuserStall=(0.10, 0.80)         // function to compute stall ride height (0.0=minimum, 1.0=average), downforce lost when bottoming out (0.0=none, 1.0=complete stall)
DiffuserDraftLiftMult=1.03         // effect of draft on diffuser's lift response
DiffuserSideways=(0.35)            // dropoff with yaw (0.0 = none, 1.0 = max)
DiffuserPeakYaw=(0.0, 1.0)         // angle of peak, multiplier at peak
DiffuserCenter=(0.0, 0.02,-1.250)  // center of diffuser forces (offset from center of rear axle at ref plane)

[SUSPENSION]
PhysicalModelFile=Lexus_IS-F.pm
CorrectedInnerSuspHeight=0.170   // instead of moving inner susp height relative with ride height, use this offset (set to -1 for original behavior)
ApplySlowToFastDampers=1         // whether to apply slow damper settings to fast damper settings
LimitFastDampers=1               // whether to limit the fast damper rate to be less than or equal to the slow damper rate (actual rate, not numerical setting)
AdjustSuspRates=1                // adjust suspension rates due to motion ratio (0 = direct measure of spring/damper rates, 1 = wheel rates)
AlignWheels=1                    // correct for minor unintentional graphical offsets
CenterWheelsOnBodyX=0            // correct for minor unintentional graphical offsets
FrontWheelTrack=1.5198       //1.5198 // 1.5596   // if non-zero, forces the front wheels to be specified track width
RearWheelTrack=1.4740        //1.4489 // 1.5340   // if non-zero, forces the rear wheels to be specified track width
LeftWheelBase=2.7310         //2.7324    // if non-zero, forces the left side to use specified wheelbase
RightWheelBase=2.7310            // if non-zero, forces the right side to use specified wheelbase
SpringBasedAntiSway=0            // 0=diameter-based, 1=spring-based
AllowNoAntiSway=1                // Whether first setting gets overridden to mean no antisway bar
FrontAntiSwayRange=(0.0270, 0.001, 2)
FrontAntiSwaySetting=1
FrontAntiSwayRate=(1.11e11, 4.0) // (base, power), so rate = base * (diameter in meters ^ power)
RearAntiSwayBase=0.0             // extra anti-sway from tube twisting
RearAntiSwayRange=(0.0175, 0.001, 2)
RearAntiSwaySetting=1
RearAntiSwayRate=(1.11e11, 4.0)  // (base, power), so rate = base * (diameter in meters ^ power)
FrontToeInRange=(-0.05, 0.05, 4) // Range: ? Toe-in
FrontToeInSetting=2                   // Factory Default 0.18mm Toe-in
RearToeInRange=(0.10, 0.05, 11)  // Range: ? Toe-in
RearToeInSetting=8                    // Factory Default 3.00mm Toe-in
LeftCasterRange=( 8.0, 0.1, 11)  // front-left caster
LeftCasterSetting=7
RightCasterRange=(8.0, 0.1, 11)  // front-right caster
RightCasterSetting=7

[CONTROLS]
SteeringFFBMult=1.5                 // vehicle-specific multiplier by steering force feedback
SteerLockRange=(8.0, 0.5, 62) // allowed up to 38.5 degrees, if your wheel has ~1048 degrees of rotation.
SteerLockSetting=50  // recommend a 900+ degree wheel, 33 deg lock.
RearBrakeRange=(0.380, 0.01, 1)
RearBrakeSetting=0
BrakePressureRange=(0.50, 0.05, 11) // brake pressure
BrakePressureSetting=10
HandbrakePressRange=(0.00, 0.05, 21) // handbrake pressure
HandbrakePressSetting=20
UpshiftAlgorithm=(0.970,0.0)        // fraction of rev limit to auto-upshift, or rpm to shift at (if 0.0, uses rev limit algorithm)
DownshiftAlgorithm=(0.900,0.830,0.600) // high gear downshift point, low gear downshift point, oval adjustment
AutoUpshiftGripThresh=0.44          // auto upshift waits until all driven wheels have this much grip (reasonable range: 0.4-0.9)
AutoDownshiftGripThresh=0.42        // auto downshift waits until all driven wheels have this much grip (reasonable range: 0.4-0.9)
TractionControlGrip=(1.01, 0.18)    // average driven wheel grip multiplied by 1st number, then added to 2nd
TractionControlLevel=(0.20, 0.70)   // TC On/Off only for this car // effect of grip on throttle for low TC and high TC
ABS4Wheel=1                         // 0 = old-style single brake pulse, 1 = more effective 4-wheel ABS
ABSGrip=(1.00, 0.20)                // grip multiplied by 1st number and added to 2nd
ABSLevel=(0.26, 0.75)               // effect of grip on brakes for low ABS and high ABS
OnboardBrakeBias=0                  // whether brake bias is allowed onboard

[ENGINE]
Normal=Lexus_IS-F_Engine            // unrestricted engine
RestrictorPlate=Lexus_IS-F_Engine   // restrictor plate engine

[DRIVELINE]
ClutchInertia=0.0750
ClutchTorque=675.0
ClutchWear=0.0
ClutchFriction=18.00
ClutchEngageRate=0.8                // how quickly clutch is engaged with auto-clutch driving aid
BaulkTorque=1150.0
AllowManualOverride=1               // whether to allow manual shift overrides when using auto shifting
SemiAutomatic=1                     // whether throttle and clutch are operated automatically (like an F1 car)
UpshiftDelay=0.100                  // delay in selecting higher gear (low for semi-automatic, higher for manual)
UpshiftClutchTime=0.120             // time to ease auto-clutch in AFTER upshift (0.0 for F1 cars)
UpshiftLiftThrottle=0.01            // lift to this throttle fraction while upshifting (if controlled by game not player))
DownshiftDelay=0.100                // delay in selecting lower gear (low for semi-automatic, higher for manual)
DownshiftClutchTime=0.220           // time to ease auto-clutch in AFTER downshift (used to be SemiAutoClutchTime)
DownshiftBlipThrottle=0.72          // amount of throttle used to blip if controlled by game (instead of player)
WheelDrive=REAR                     // which wheels are driven: REAR, FOUR (even torque split), or FRONT
GearFile=Lexus_IS-F_Gears.ini       // Must come before final/reverse/gear settings!
AllowGearingChanges=0               // cannot change stock ratios until one buys a tranny upgrade
AllowFinalDriveChanges=0            // cannot change stock ratio until one buys a diff upgrade
FinalDriveSetting=0                 // indexed into GearFile list
ReverseSetting=1
ForwardGears=8
Gear1Setting=0
Gear2Setting=2
Gear3Setting=3
Gear4Setting=4
Gear5Setting=5
Gear6Setting=6
Gear7Setting=7
Gear8Setting=8
DiffPumpTorque=250.0                // at 100% pump diff setting, the torque redirected per wheelspeed difference in radians/sec (roughly 1.2kph)
DiffPumpRange=(0.004,0.10,1)        // differential acting on all driven wheels
DiffPumpSetting=0
DiffPowerRange=(0.45,0.20,1)        // fraction of power-side input torque transferred through diff
DiffPowerSetting=0                  // (not implemented for four-wheel drive)
DiffCoastRange=(0.30,0.20,1)        // fraction of coast-side input torque transferred through diff
DiffCoastSetting=0                  // (not implemented for four-wheel drive)
DiffPreloadRange=(15.0, 10.0, 1)    // preload torque that must be overcome to have wheelspeed difference
DiffPreloadSetting=0                // (not implemented for four-wheel drive)

[FRONTLEFT]
BumpTravel=-0.0650                  // suspension travel upwards (1" travel to bump-stop) // "WHITE" colored incerts? Useful?
ReboundTravel=-0.2000               // suspension travel downwards
BumpStopSpring=90000.0              // initial spring rate of bumpstop
BumpStopRisingSpring=6.00e6         // rising spring rate of same (multiplied by deflection squared)
BumpStopDamper=1800.0               // initial damping rate of bumpstop
BumpStopRisingDamper=5.00e5         // rising damper rate of same (multiplied by deflection squared)
BumpStage2=0.0715                   // speed where damper bump moves from slow to fast
ReboundStage2=-0.0750               // speed where damper rebound moves from slow to fast
FrictionTorque=6.25                 // Newton-meters of friction between spindle and wheel
SpinInertia=1.566                   // inertia in pitch direction including any axle but not brake disc
SpinInertiaAI=1.566                 // AI pitch inertia, used to deal with their lower physics sampling frequency
CGOffsetX=0.000                     // x-offset from graphical center to physical center (NOT IMPLEMENTED)
PushrodSpindle=(-0.14805,-0.0640,-0.0050) // spring/damper connection to spindle or axle (relative to wheel center)
PushrodBody=(   -0.30630, 0.3400, 0.0480) // spring/damper connection to body (relative to wheel center)
CamberRange=(-1.0, 0.016667, 13)
CamberSetting=2
PressureRange=(103.4211723, 3.447372, 61)
PressureSetting=28
PackerRange=(0.000, 0.001, 1)
PackerSetting=0
SpringMult=0.900                    // take into account suspension motion if spring is not attached to spindle (affects physics but not garage display)
SpringRange=(80000.0, 5000.0, 1)
SpringSetting=0
RideHeightRange=(0.1425, 0.005, 1)
RideHeightSetting=0
DamperMult=0.900                    // take into account suspension motion if damper is not attached to spindle (affects physics but not garage display)
SlowBumpRange=(4400.0, 250.0, 1)
SlowBumpSetting=0
FastBumpRange=(1870.0, 200.0, 1)
FastBumpSetting=0
SlowReboundRange=(6050.0, 500.0, 1)
SlowReboundSetting=0
FastReboundRange=(3960.0, 300.0, 1)
FastReboundSetting=0
BrakeDiscRange=(0.030, 0.000, 1)    // disc thickness
BrakeDiscSetting=0
BrakePadRange=(0, 1, 2)             // pad type (not implemented)
BrakePadSetting=0
BrakeDiscInertia=5.800              // 14.2" inertia per meter of thickness
BrakeResponseCurve=(-150,380,495,900) // cold temperature (where brake torque is half optimum), min temp for optimum brake torque, max temp for optimum brake torque, and overheated temperature (where brake torque is half optimum)
BrakeWearRate=6.00e-013             // meters of wear per second at optimum temperature
BrakeFailure=(1.80e-002,5.40e-004)  // average and variation in disc thickness at failure
BrakeTorque=3460.0                  // maximum brake torque at zero wear and optimum temp
BrakeHeating=6.475e-004             // heat added linearly with brake torque times wheel speed (at max disc thickness)
BrakeCooling=(2.42e-002,4.20e-004)  // minimum brake cooling rate (base and per unit velocity) (at max disc thickness)
BrakeDuctCooling=1.15e-004          // brake cooling rate per brake duct setting (at max disc thickness)
BrakeGlow=(600.0,950.0)             // temperature range (in Celsius) that brake glow ramps up

[FRONTRIGHT]
BumpTravel=-0.0650                  // suspension travel upwards
ReboundTravel=-0.2000               // suspension travel downwards
BumpStopSpring=90000.0              // initial spring rate of bumpstop
BumpStopRisingSpring=6.00e6         // rising spring rate of same (multiplied by deflection squared)
BumpStopDamper=1800.0               // initial damping rate of bumpstop
BumpStopRisingDamper=5.00e5         // rising damper rate of same (multiplied by deflection squared)
BumpStage2=0.0715                   // speed where damper bump moves from slow to fast
ReboundStage2=-0.0750               // speed where damper rebound moves from slow to fast
FrictionTorque=6.25                 // Newton-meters of friction between spindle and wheel
SpinInertia=1.566                   // inertia in pitch direction including any axle but not brake disc
SpinInertiaAI=1.566                 // AI pitch inertia, used to deal with their lower physics sampling frequency
CGOffsetX=0.000                     // x-offset from graphical center to physical center (NOT IMPLEMENTED)
PushrodSpindle=(0.14805,-0.0640,-0.0050) // spring/damper connection to spindle or axle (relative to wheel center)
PushrodBody=(   0.30630, 0.3400, 0.0480) // spring/damper connection to body (relative to wheel center)
CamberRange=(-1.0, 0.016667, 13)
CamberSetting=2
PressureRange=(103.4211723, 3.447372, 61)
PressureSetting=28
PackerRange=(0.0000, 0.001, 1)
PackerSetting=0
SpringMult=0.900                    // take into account suspension motion if spring is not attached to spindle (affects physics but not garage display)
SpringRange=(80000.0, 5000.0, 1)
SpringSetting=0
RideHeightRange=(0.1425, 0.005, 1)
RideHeightSetting=0
DamperMult=0.900                    // take into account suspension motion if damper is not attached to spindle (affects physics but not garage display)
SlowBumpRange=(4400.0, 250.0, 1)
SlowBumpSetting=0
FastBumpRange=(1870.0, 200.0, 1)
FastBumpSetting=0
SlowReboundRange=(6050.0, 500.0, 1)
SlowReboundSetting=0
FastReboundRange=(3960.0, 300.0, 1)
FastReboundSetting=0
BrakeDiscRange=(0.030, 0.000, 1)    // disc thickness
BrakeDiscSetting=0
BrakePadRange=(0, 1, 2)             // pad type (not implemented)
BrakePadSetting=0
BrakeDiscInertia=5.800              // inertia per meter of thickness
BrakeResponseCurve=(-150,380,495,900) // cold temperature (where brake torque is half optimum), min temp for optimum brake torque, max temp for optimum brake torque, and overheated temperature (where brake torque is half optimum)
BrakeWearRate=6.00e-013             // meters of wear per second at optimum temperature
BrakeFailure=(1.80e-002,5.40e-004)  // average and variation in disc thickness at failure
BrakeTorque=3460.0                  // maximum brake torque at zero wear and optimum temp
BrakeHeating=6.475e-004             // heat added linearly with brake torque times wheel speed (at max disc thickness)
BrakeCooling=(2.42e-002,4.20e-004)  // minimum brake cooling rate (base and per unit velocity) (at max disc thickness)
BrakeDuctCooling=1.15e-004          // brake cooling rate per brake duct setting (at max disc thickness)
BrakeGlow=(600.0,950.0)             // temperature range (in Celsius) that brake glow ramps up

[REARLEFT]
BumpTravel=-0.0700                  // suspension travel upwards
ReboundTravel=-0.2200               // suspension travel downwards
BumpStopSpring=90000.0              // initial spring rate of bumpstop
BumpStopRisingSpring=6.00e6         // rising spring rate of same (multiplied by deflection squared)
BumpStopDamper=1800.0               // initial damping rate of bumpstop
BumpStopRisingDamper=5.00e5         // rising damper rate of same (multiplied by deflection squared)
BumpStage2=0.0715                   // speed where damper bump moves from slow to fast
ReboundStage2=-0.0855               // speed where damper rebound moves from slow to fast
FrictionTorque=9.70                 // Newton-meters of friction between spindle and wheel
SpinInertia=1.8048                  // inertia in pitch direction including any axle but not brake disc
SpinInertiaAI=1.8048                // AI pitch inertia, used to deal with their lower physics sampling frequency
CGOffsetX=-0.030                    // x-offset from graphical center to physical center (NOT IMPLEMENTED)
PushrodSpindle=(-0.170,-0.100, 0.0) // spring/damper connection to spindle or axle (relative to wheel center)
PushrodBody=(   -0.200, 0.220, 0.0) // spring/damper connection to body (relative to wheel center)
CamberRange=(-1.0, 0.016667, 23)
CamberSetting=13
PressureRange=(103.4211723, 3.447372, 61)
PressureSetting=28
PackerRange=(0.000, 0.001, 1)
PackerSetting=0
SpringMult=0.900                    // take into account suspension motion if spring is not attached to spindle (affects physics but not garage display)
SpringRange=(75000.0, 5000.0, 1)
SpringSetting=0
RideHeightRange=(0.1550, 0.005, 1)
RideHeightSetting=0
DamperMult=0.900                    // take into account suspension motion if damper is not attached to spindle (affects physics but not garage display)
SlowBumpRange=(4235.0, 250.0, 1)
SlowBumpSetting=0
FastBumpRange=(1760.0, 200.0, 1)
FastBumpSetting=0
SlowReboundRange=(6600.0, 500.0, 1)
SlowReboundSetting=0
FastReboundRange=(4125.0, 250.0, 1)
FastReboundSetting=0
BrakeDiscRange=(0.0280, 0.000, 1)   // disc thickness
BrakeDiscSetting=0
BrakePadRange=(0, 1, 2)             // pad type (not implemented)
BrakePadSetting=0
BrakeDiscInertia=4.400              // 13.6" inertia per meter of thickness
BrakeResponseCurve=(-150,380,495,900) // cold temperature (where brake torque is half optimum), min temp for optimum brake torque, max temp for optimum brake torque, and overheated temperature (where brake torque is half optimum)
BrakeWearRate=7.20e-013             // meters of wear per second at optimum temperature
BrakeFailure=(1.70e-002,5.40e-004)  // average and variation in disc thickness at failure
BrakeTorque=2980.0                  // maximum brake torque at zero wear and optimum temp
BrakeHeating=7.563e-004             // heat added linearly with brake torque times wheel speed (at max disc thickness)
BrakeCooling=(2.30e-002,2.00e-004)  // minimum brake cooling rate (base and per unit velocity) (at max disc thickness)
BrakeDuctCooling=6.00e-005          // brake cooling rate per brake duct setting (at max disc thickness)
BrakeGlow=(600.0,950.0)             // temperature range (in Celsius) that brake glow ramps up

[REARRIGHT]
BumpTravel=-0.0700                  // suspension travel upwards
ReboundTravel=-0.2200               // suspension travel downwards
BumpStopSpring=90000.0              // initial spring rate of bumpstop
BumpStopRisingSpring=6.00e6         // rising spring rate of same (multiplied by deflection squared)
BumpStopDamper=1800.0               // initial damping rate of bumpstop
BumpStopRisingDamper=5.00e5         // rising damper rate of same (multiplied by deflection squared)
BumpStage2=0.0715                   // speed where damper bump moves from slow to fast
ReboundStage2=-0.0855               // speed where damper rebound moves from slow to fast
FrictionTorque=9.70                 // Newton-meters of friction between spindle and wheel
SpinInertia=1.8048                  // inertia in pitch direction including any axle but not brake disc
SpinInertiaAI=1.8048                // AI pitch inertia, used to deal with their lower physics sampling frequency
CGOffsetX=0.030                     // x-offset from graphical center to physical center (NOT IMPLEMENTED)
PushrodSpindle=(0.170,-0.100, 0.00) // spring/damper connection to spindle or axle (relative to wheel center)
PushrodBody=(   0.200, 0.220, 0.00) // spring/damper connection to body (relative to wheel center)
CamberRange=(-1.0, 0.016667, 23)
CamberSetting=13
PressureRange=(103.4211723, 3.447372, 61)
PressureSetting=28
PackerRange=(0.000, 0.001, 1)
PackerSetting=0
SpringMult=0.900                    // take into account suspension motion if spring is not attached to spindle (affects physics but not garage display)
SpringRange=(75000.0, 5000.0, 1)
SpringSetting=0
RideHeightRange=(0.1550, 0.005, 1)
RideHeightSetting=0
DamperMult=0.900                    // take into account suspension motion if damper is not attached to spindle (affects physics but not garage display)
SlowBumpRange=(4235.0, 250.0, 1)
SlowBumpSetting=0
FastBumpRange=(1760.0, 200.0, 1)
FastBumpSetting=0
SlowReboundRange=(6600.0, 500.0, 1)
SlowReboundSetting=0
FastReboundRange=(4125.0, 250.0, 1)
FastReboundSetting=0
BrakeDiscRange=(0.0280, 0.000, 1)   // disc thickness
BrakeDiscSetting=0
BrakePadRange=(0, 1, 2)             // pad type (not implemented)
BrakePadSetting=0
BrakeDiscInertia=4.400              // inertia per meter of thickness
BrakeResponseCurve=(-150,380,495,900) // cold temperature (where brake torque is half optimum), min temp for optimum brake torque, max temp for optimum brake torque, and overheated temperature (where brake torque is half optimum)
BrakeWearRate=7.20e-013             // meters of wear per second at optimum temperature
BrakeFailure=(1.70e-002,5.40e-004)  // average and variation in disc thickness at failure
BrakeTorque=2980.0                  // maximum brake torque at zero wear and optimum temp
BrakeHeating=7.563e-004             // heat added linearly with brake torque times wheel speed (at max disc thickness)
BrakeCooling=(2.30e-002,2.00e-004)  // minimum brake cooling rate (base and per unit velocity) (at max disc thickness)
BrakeDuctCooling=6.00e-005          // brake cooling rate per brake duct setting (at max disc thickness)
BrakeGlow=(600.0,950.0)             // temperature range (in Celsius) that brake glow ramps up
